<?php
// $Id: pageflip-html-viewer-page-pair.tpl.php,v 1.1 2010/07/18 16:26:59 bikko Exp $

/**
 * @file Page pair template for PageFlip HTML viewer. Renders one pair of book pages.
 */

/**
 * We get a "page pair" each time in this template.
 * If a page has no image set, then it might have overridden HTML.
 * If it has no image and no overridden HTML, it should be a blank page.
 */
?>

    <div<?php if ($pair_index == 0): ?> id="pageflip-chapter-<?php print $chapter_index; ?>"<?php endif; ?> class="pageflip-page-pair pageflip-page-pair-<?php print $settings['resolution']; ?>">
      <?php if ($left['image']): ?>
        <a id="pageflip-page-<?php print $page_index; ?>" class="pageflip-left-page"<?php if ($page_index > 0): print ' href="#/'. ($page_index - 2) .'" '; endif; ?>>
          <img width="<?php print $page_width; ?>" height="<?php print $page_height; ?>" src="<?php print $left['image']; ?>" />
        </a>
      <?php elseif ($left['content']): ?>
        <div class="pageflip-left-page pageflip-ad-page pageflip-ad-page-<?php print $settings['resolution']; ?>">
          <?php print $left['content']; ?>
        </div>
      <?php else: ?>
        <div class="pageflip-left-page pageflip-blank-page pageflip-blank-page-<?php print $settings['resolution']; ?>"></div>
      <?php endif; ?>

      <?php if ($right['image']): ?>
        <a id="pageflip-page-<?php print $page_index + 1; ?>" class="pageflip-right-page"<?php if (!$very_last_pair): print ' href="#/'. ($page_index + 2) .'" '; endif; ?>>
          <img width="<?php print $page_width; ?>" height="<?php print $page_height; ?>" src="<?php print $right['image']; ?>" />
        </a>
      <?php elseif ($right['content']): ?>
        <div class="pageflip-right-page pageflip-ad-page pageflip-ad-page-<?php print $settings['resolution']; ?>">
          <?php print $right['content']; ?>
        </div>
      <?php else: ?>
        <div class="pageflip-right-page pageflip-blank-page pageflip-blank-page-<?php print $settings['resolution']; ?>"></div>
      <?php endif; ?>

    </div>

